"use strict";

const {
  existsSync,
  unlinkSync
} = require('fs');

/**
 * @function deleteFile - deletes the provided file
 * @param {string} filePath - path of file to be deleted
 */
function deleteFile(filePath) {
  if (existsSync(filePath)) {
    try {
      unlinkSync(filePath);
    } catch (err) {
      throw new Error(`Error while deleting the test data file: ${filePath}`);
    }
  }
}
module.exports = {
  deleteFile
};