"use strict";

const {
  existsSync
} = require("fs");
const {
  getRootDirectory
} = require('../General/RootDirectoryUtils/getRootDirectory');
const {
  getNodeModulesPath
} = require('../General/getNodeModulesPath');
const path = require('path');
const fs = require('fs');
function getCustomPrecommitHookPath() {
  return path.resolve(getNodeModulesPath(), "node_modules", "@zohodesk", "codestandard-hooks", "bin", "execute.js");
}

/**
 * @function updateGitFile - updates default precommit hook provided by git with the custom precommit hook file
 * @returns {null}
 */
function updateGitFile() {
  const preCommit_File_Path_Default = path.resolve(getRootDirectory(), '.git', 'hooks', 'pre-commit.sample');
  let preCommit_File_Path = path.join(path.dirname(preCommit_File_Path_Default), 'pre-commit');
  if (existsSync(preCommit_File_Path_Default)) {
    fs.writeFileSync(preCommit_File_Path_Default, `#!/bin/sh${getCustomPrecommitHookPath()}`);
    fs.renameSync(preCommit_File_Path_Default, preCommit_File_Path);
    return;
  }
  if (existsSync(preCommit_File_Path)) {
    fs.appendFileSync(preCommit_File_Path, `\n${getCustomPrecommitHookPath()}`);
    return;
  }
}
module.exports = {
  updateGitFile
};